Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83142 - Grub fails to boot Linux installed on second harddisk
Summary: Grub fails to boot Linux installed on second harddisk
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: grub
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-30 18:24 UTC by Tom Conder
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-31 03:14:37 UTC


Attachments (Terms of Use)
/boot/grub/grub.conf (deleted)
2003-01-31 01:16 UTC, Tom Conder
no flags Details
/boot/grub/device.map (deleted)
2003-01-31 01:17 UTC, Tom Conder
no flags Details

Description Tom Conder 2003-01-30 18:24:00 UTC
Description of problem:
I have another operating system (Windows XP) installed on the first harddisk. I
installed a second harddisk and installed Phoebe on it. When I boot to Linux on
the second HD (from the Windows bootloader), the screen just displays "GRUB" and
freezes. There is no discernable disk activity.

I can get to the Linux installation using the Linux rescue mode on the Phoebe
installation disk. I have tried:

grub-install forcing lba32
modifying the grub.conf giving the device name /dev/hdb3 instead of label
modifying the grub.conf removing the hdc option: hdc=ide-scsi

I have not tried:

booting from boot floppy
LILO

Version-Release number of selected component (if applicable):
grub installed by Phoebe on pristine harddrive

How reproducible:
install phoebe on 2nd hd and try to boot to it

Steps to Reproduce:
1. Install phoebe on 2nd hd
2. Using rescue mode, boot Linux and mount filesystems on 2nd HD
3. Grab a copy of the boot sector. Eg. dd if=/dev/hdb1 of=/root/bootsect bs=512
count=1
4. Save a copy of the boot sector. Eg. scp /root/bootsect.lnx
user@machine:/home/user/bootsect.lnx
5. Reboot PC to *cough* Windows
6. Copy boot sector to c:\
7. Modify c:\boot.ini. Add the line: C:\bootsect.lnx="Redhat Linux"
8. Reboot PC
9. Choose "Redhat Linux" in boot loader.
10. GRUB appears and machine freezes
    
Actual results:
GRUB freezes

Expected results:
GRUB should boot Linux on 2nd HD

Additional info:

Comment 1 Jeremy Katz 2003-01-30 19:30:20 UTC
Could you attach your /boot/grub/grub.conf and /boot/grub/device.map?

Comment 2 Tom Conder 2003-01-31 01:16:45 UTC
Created attachment 89726 [details]
/boot/grub/grub.conf

Comment 3 Tom Conder 2003-01-31 01:17:27 UTC
Created attachment 89727 [details]
/boot/grub/device.map

Comment 4 Jeremy Katz 2003-01-31 03:14:37 UTC
Windows is probably mangling the boot process somehow so that it's not like
booting directly from the BIOS.  I'd recommend instead installing GRUB to your
MBR and booting Windows from that instead of the other way around.


Note You need to log in before you can comment on or make changes to this bug.